Download Mercenaries 8 - Map Pack #1

These maps comply with BF2 patch 1.3. You'll need Mercenaries 8.0 to play.

File name File size Downloads Added
mercs_8_mappack_1.zip 281 MB 11 16 Jun 2006